Subject: Re: Using email between 2 developers to keep git repositories in sync

From: Jakub Narebski <[email-masked]>
Date: Tue, 22 Jan 2008 05:53:32 -0800 (PST)

Johannes Schindelin <[email-masked]> writes:

> On Tue, 22 Jan 2008, [email-masked] wrote:
> 
> > However I need to share code with a co-developer. He also has a code 
> > base that I need access to. For several reasons, a shared server will 
> > not work so I was thinking of using email to send patches back and 
> > forth.
> 
> My recommendation: Use bundles.  Just make the initial "clone" like this:
> 
> 	$ git bundle create initial.bundle --all
> 
> Send the file "initial.bundle" (which you just created) to your 
> co-developer.  He should now initialise his repository:
> 
> 	$ mkdir my-new-workdir
> 	$ cd my-new-workdir
> 	$ git init
> 	$ git pull /path/to/initial.bundle master
> 
> (Someone tried to get "git clone /path/to/bundle" to work, but I don't 
> know if that work was ever completed, so I assume it was not.)
> 
> Whenever he wants to send you an update, he has to do something like this:
> 
> 	$ git bundle create update.bundle --all --since=2.weeks.ago
> 
> and send you the resulting file named "update.bundle".

If I remember correctly either in GitFaq or GitTios at GitWIki 
(http://git.or.cz/gitwiki/), or in "Git in Nutshell" guide there
is description how to generate incremental bundle containing all
objects you created since last bundle and only those objects.

Besides, after initial setup IMHO it is much better to exchange
patches for review. Although usually there are more than two
developers in such case...

-- 
Jakub Narebski
Poland
ShadeHawk on #git